<?php
session_start();
require "../../mysqldb.php";
$admin = true;
require "authenticatie.php";
require('../pdf/fpdf.php');

class PDF extends FPDF
{

//Gekleurde tabel
function FancyTable($header,$data,$w)
{
	//Kleuren, lijn dikte en vet lettertype
	$this->SetFillColor(255,0,0);
	$this->SetTextColor(255);
	$this->SetDrawColor(128,0,0);
	$this->SetLineWidth(.3);
	$this->SetFont('','B');
	//Koptekst
	for($i=0;$i<count($header);$i++)
		$this->Cell($w[$i],7,$header[$i],1,0,'C',1);
	$this->Ln();
	//Herstel van kleuren en lettertype
	$this->SetFillColor(224,235,255);
	$this->SetTextColor(0);
	$this->SetFont('');
	//Gegevens
	$fill=0;
	foreach($data as $row)
	{
		$this->Cell($w[0],6,$row[0],'LR',0,'L',$fill);
		$this->Cell($w[1],6,$row[1],'LR',0,'L',$fill);
		$this->Cell($w[2],6,number_format($row[2], 2, ',', ' '),'LR',0,'R',$fill);
		$this->Ln();
		$fill=!$fill;
	}
	$this->Cell(array_sum($w),0,'','T');
}
}

$showklantid = $_GET["klant"];

if ($showklantid) {

	$sql = "SELECT * FROM Artikel, Bestelling, Klant WHERE Bestelling.ARTIKEL_ID=Artikel.ARTIKEL_ID AND Bestelling.KLANT_ID=Klant.KLANT_ID AND Klant.KLANT_ID=$showklantid";

	$resultaat  = mysql_query($sql); // voer SQL code uit

	// Sla data op om later af te drukken in tabel
	if (mysql_num_rows($resultaat) > 0) {

		$nr=0;
		$data = array();
		while ($rij = mysql_fetch_array($resultaat)) {
			$data[$nr][0] = $rij["Naam"];
			$data[$nr][1] = $rij["Aantal"];
			$data[$nr][2] = $rij["Prijs"];
			$prijs = $rij["Prijs"]*$rij["Aantal"];

			$nr++;
			$totaal = $totaal + $prijs;
	}


	$voorletters = mysql_result($resultaat, 0, "Voorletters");
	$tussenvoegsel = mysql_result($resultaat, 0, "Tussenvoegsel");
	$achternaam = mysql_result($resultaat, 0, "Achternaam");
	$geslacht = mysql_result($resultaat, 0, "Geslacht");
	$adres = mysql_result($resultaat, 0, "Adres");
	$pc = mysql_result($resultaat, 0, "Postcode");
	$plaats = mysql_result($resultaat, 0, "Plaats");

	if ($tussenvoegsel) {
		$naam = $voorletters." ".$tussenvoegsel." ".$achternaam;
	} else {
		$naam = $voorletters." ".$achternaam;
	}

	if ($geslacht == "m") {
		$naam = "De heer ".$naam;
	} else {
		$naam = "Mevouw ".$naam;
	}



	}


$pdf=new PDF();
//Kolom titels
$header=array('Artikel','Aantal','Prijs');
//Breedtes kolommen
$table_width = array(100,30,50);
//Gegevens laden
$pdf->SetFont('Arial','',14);
$pdf->AddPage();
$pdf->Image("mywebshop.jpg", 170,15, 18, 11);
$pdf->Cell(40,7,$naam);
$pdf->Ln();
$pdf->Cell(40,7,$adres);
$pdf->Ln();
$pdf->Cell(40,7,"$pc $plaats");
$pdf->Ln();
$pdf->Ln();
$pdf->FancyTable($header,$data,$table_width);
$pdf->Ln();
$pdf->Cell(40,7,"Totaalprijs: ".number_format($totaal, 2, ',', ' '));
$pdf->Output();

} 

?>